org.jenkinsci.maven.plugins.hpi

## Class HplMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo
    - - org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo
      - - org.jenkinsci.maven.plugins.hpi.HplMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  TestHplMojo

    public class HplMojo
    extends AbstractHpiMojo

Generate .hpl file.

Author:
  Kohsuke Kawaguchi

### Field Summary

### Fields inherited from class org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo

`archiverManager, globalMaskClasses, localRepository, maskClasses, outputDirectory, pluginName, projectBuilder, warSourceDirectory`

### Fields inherited from class org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo

`jenkinsCoreId, project`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`HplMojo()`

### Method Summary

Methods
`protected java.io.File` `computeHplFile()` Determine where to produce the .hpl file.
`void` `execute()`
`void` `setHudsonHome(java.io.File hudsonHome)`

### Methods inherited from class org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo

`buildExplodedWebapp, buildWebapp, copyResources, copyResources, getClassesDirectory, getContainerConfigXML, getDependentWarExcludes, getDependentWarIncludes, getDirectDependencyArtfacts, getExcludes, getIncludes, getProjectArtfacts, getWebappDirectory, isSupportDynamicLoading, setAttributes, setClassesDirectory, setContainerConfigXML, setWarSourceDirectory, setWebappDirectory, wrap, wrap`

### Methods inherited from class org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo

`findJenkinsVersion`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HplMojo

    public HplMojo()

### Method Detail

#### setHudsonHome

    public void setHudsonHome(java.io.File hudsonHome)

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`

#### computeHplFile

    protected java.io.File computeHplFile()
                                   throws org.apache.maven.plugin.MojoExecutionException

Determine where to produce the .hpl file.

Throws:
  `org.apache.maven.plugin.MojoExecutionException`